
Packaging - Feature #26278

GPG sign Foreman client RPM repository

03/07/2019 04:37 PM - Peter Oliver

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: RPMs   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.21.1, 1.22.1, 1.23.0

Triaged: No Found in Releases: 1.20.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/3862,

https://github.com/theforeman/foreman-p

ackaging/pull/3863,

https://github.com/theforeman/foreman-p

ackaging/pull/3874,

https://github.com/theforeman/foreman-p

ackaging/pull/3875

  

Description

Package https://yum.theforeman.org/client/1.20/el7/x86_64/foreman-client-release-1.20.2-1.el7.noarch.rpm sets up a GPG public

key, but it is not the key used to sign the packages found in that repository.  After some trial and error, I found the correct key,

D0B17F13, at 

https://github.com/theforeman/foreman-packaging/blob/rpm/1.20/packages/katello-3.9/katello-repos-3.9/RPM-GPG-KEY-katello-2015

.

Related issues:

Related to Packaging - Bug #26401: Remove Foreman GPG key from foreman-releas... Closed

Associated revisions

Revision 0c9164e8 - 06/27/2019 11:03 AM - Ewoud Kohl van Wijngaarden

Fixes #26278 - GPG sign client repositories

This enforces that the client repo is GPG signed with the same key as

the main foreman repository.

History

#1 - 03/07/2019 10:15 PM - Ewoud Kohl van Wijngaarden

At this point we're not signing the client packages repository. The packages in that repository are signed by some key, which for those packages

happens to be that key. There is however no guarantee and we could include updates packages which might not be signed or signed with a different

key.

#2 - 03/19/2019 12:57 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #26401: Remove Foreman GPG key from foreman-release-client added

#3 - 06/27/2019 10:38 AM - Ewoud Kohl van Wijngaarden

- Tracker changed from Bug to Feature

- Subject changed from Incorrect GPG key for Foreman client RPM repository to GPG sign Foreman client RPM repository

- Target version set to 1.23.0

#4 - 06/27/2019 10:41 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-packaging/pull/3862 added
#5 - 06/27/2019 10:42 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/3863 added

#6 - 06/27/2019 12:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|0c9164e8eab5f3ea084654cece4eca98c3e761cb.

#7 - 07/01/2019 10:04 AM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 1.22.1, 1.23.0 added

#8 - 07/01/2019 12:08 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/3874 added

#9 - 07/01/2019 12:09 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/3875 added

#10 - 07/01/2019 04:59 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 1.21.4 added

#11 - 09/18/2019 07:39 AM - Tomer Brisker

- Fixed in Releases 1.21.1 added

- Fixed in Releases deleted (1.21.4)
